---
title: Node.nodeName
slug: Web/API/Node/nodeName
tags:
  - API
  - DOM
  - Gecko
  - NeedsSpecTable
  - Node
  - Property
  - Read-only
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>nodeName</strong></code> read-only property returns the name of the current {{domxref("Node")}} as a string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>str</em> = <em>node</em>.nodeName;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}. Values for the different types of nodes are:</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Interface</th>
   <th>nodeName value</th>
  </tr>
  <tr>
   <td>{{domxref("Attr")}}</td>
   <td>The value of {{domxref("Attr.name")}}</td>
  </tr>
  <tr>
   <td>{{domxref("CDATASection")}}</td>
   <td><code>"#cdata-section"</code></td>
  </tr>
  <tr>
   <td>{{domxref("Comment")}}</td>
   <td><code>"#comment"</code></td>
  </tr>
  <tr>
   <td>{{domxref("Document")}}</td>
   <td><code>"#document"</code></td>
  </tr>
  <tr>
   <td>{{domxref("DocumentFragment")}}</td>
   <td><code>"#document-fragment"</code></td>
  </tr>
  <tr>
   <td>{{domxref("DocumentType")}}</td>
   <td>The value of {{domxref("DocumentType.name")}}</td>
  </tr>
  <tr>
   <td>{{domxref("Element")}}</td>
   <td>The value of {{domxref("Element.tagName")}}</td>
  </tr>
  <tr>
   <td>{{domxref("Entity")}}</td>
   <td>The entity name</td>
  </tr>
  <tr>
   <td>{{domxref("EntityReference")}}</td>
   <td>The name of entity reference</td>
  </tr>
  <tr>
   <td>{{domxref("Notation")}}</td>
   <td>The notation name</td>
  </tr>
  <tr>
   <td>{{domxref("ProcessingInstruction")}}</td>
   <td>The value of {{domxref("ProcessingInstruction.target")}}</td>
  </tr>
  <tr>
   <td>{{domxref("Text")}}</td>
   <td><code>"#text"</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>Given the following markup:</p>

<pre class="brush:html">&lt;div id="d1"&gt;hello world&lt;/div&gt;
&lt;input type="text" id="t"&gt;
</pre>

<p>and the following script:</p>

<pre class="brush:js">var div1 = document.getElementById("d1");
var text_field = document.getElementById("t");

text_field.value = div1.nodeName;
</pre>

<p>In XHTML (or any other XML format), <code>text_field</code>'s value would read <code>"div"</code>. However, in HTML, <code>text_field</code>'s value would read <code>"DIV"</code>, because <code>nodeName</code> and <code>tagName</code> return in upper case on HTML elements in DOMs flagged as HTML documents. Read more <a href="http://ejohn.org/blog/nodename-case-sensitivity/">details on nodeName case sensitivity in different browsers</a>.</p>

<p>Note that the {{domxref("Element.tagName")}} property could have been used instead, since <code>nodeName</code> has the same value as <code>tagName</code> for an element. Bear in mind, however, that <code>nodeName</code> will return <code>"#text"</code> for text nodes while <code>tagName</code> will return <code>undefined</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-node-nodename','nodeName')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.nodeName")}}</p>
